org.apache.poi.sl.usermodel

## Enum VerticalAlignment

- java.lang.Object
- - java.lang.Enum<VerticalAlignment>
  - - org.apache.poi.sl.usermodel.VerticalAlignment

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VerticalAlignment>

      public enum VerticalAlignment
      extends java.lang.Enum<VerticalAlignment>

  Specifies a list of available anchoring types for text
  Author:
    Yegor Kozlov

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BOTTOM` Anchor the text at the bottom of the bounding rectangle.
    `DISTRIBUTED` Anchor the text so that it is distributed vertically.
    `JUSTIFIED` Anchor the text so that it is justified vertically.
    `MIDDLE` Anchor the text at the middle of the bounding rectangle
    `TOP` Anchor the text at the top of the bounding rectangle

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static VerticalAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VerticalAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TOP

          public static final VerticalAlignment TOP

      Anchor the text at the top of the bounding rectangle

    - #### MIDDLE

          public static final VerticalAlignment MIDDLE

      Anchor the text at the middle of the bounding rectangle

    - #### BOTTOM

          public static final VerticalAlignment BOTTOM

      Anchor the text at the bottom of the bounding rectangle.

    - #### JUSTIFIED

          public static final VerticalAlignment JUSTIFIED

      Anchor the text so that it is justified vertically.

      When text is horizontal, this spaces out the actual lines of text and is almost always identical in behavior to `DISTRIBUTED` (special case: if only 1 line, then anchored at top).

      When text is vertical, then it justifies the letters vertically. This is different than `DISTRIBUTED`, because in some cases such as very little text in a line, it will not justify.

    - #### DISTRIBUTED

          public static final VerticalAlignment DISTRIBUTED

      Anchor the text so that it is distributed vertically.

      When text is horizontal, this spaces out the actual lines of text and is almost always identical in behavior to `JUSTIFIED` (special case: if only 1 line, then anchored in middle).

      When text is vertical, then it distributes the letters vertically. This is different than `JUSTIFIED`, because it always forces distribution of the words, even if there are only one or two words in a line.

  - ### Method Detail

    - #### values

          public static VerticalAlignment[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VerticalAlignment c : VerticalAlignment.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VerticalAlignment valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.